﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;

using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.Linq;
using MvcApp.Models;

using Syncfusion.JavaScript.Models;

using System.Web.Script.Serialization;
using System.Reflection;
using Newtonsoft.Json.Linq;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Drawing;

namespace MvcApp.Controllers
{
    public class HomeController : Controller
    {
        public List<OrderClass> order = new List<OrderClass>();
        public ActionResult Index()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }
        
        
        public class OrderClass
        {
            public OrderClass() { }
            public int OrderID { get; set; }
            public int EmployeeID { get; set; }
            public string CustomerID { get; set; }
            public string FirstName { get; set; }
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }
       
        
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
    
}
